package hibergui.verify;

public class NotConstraint implements Constraint {
    
    Constraint constraint;
    
    public NotConstraint(Constraint c) {
        this.constraint = c;
    }

    public boolean check(Object o) {
    	return !constraint.check(o);
    }
}
